import os
from glob import glob
from astropy.io import fits
from L1_pipeline.ref_combine import combine_images

ref_path = "/public/share/yangxuliu/CSSOSDataProductsSims/outputs_cali/"
output_path = "/public/home/fangyuedong/project/calib_data"

def combine_ref_func(ref_path, output_path, num="01"):
    bias_path_list = glob(ref_path + '*/CSST_MSC_MS_BIAS_*_' + num + '_*')
    dark_path_list = glob(ref_path + '*/CSST_MSC_MS_DARK_*_' + num + '_*')
    flat_path_list = glob(ref_path + '*/CSST_MSC_MS_FLAT_*_' + num + '_*')
    bias, dark, flat = combine_images(b_p_lst=bias_path_list,
                                    d_p_lst=dark_path_list,
                                    f_p_lst=flat_path_list, )
    bias_out_path = os.path.join(output_path, "bias_" + str(num) + ".fits")
    dark_out_path = os.path.join(output_path, "dark_" + str(num) + ".fits")
    flat_out_path = os.path.join(output_path, "flat_" + str(num) + ".fits")
    hdu = fits.PrimaryHDU(bias)
    hdu.writeto(bias_out_path)
    hdu = fits.PrimaryHDU(dark)
    hdu.writeto(dark_out_path)
    hdu = fits.PrimaryHDU(flat)
    hdu.writeto(flat_out_path)

if __name__ == "__main__":
    ref_path = "/public/share/yangxuliu/CSSOSDataProductsSims/outputs_cali/"
    output_path = "/public/home/fangyuedong/project/calib_data"
    num = '08'
    combine_ref_func(
        ref_path=ref_path,
        output_path=output_path,
        num=num
    )